summaryrefslogtreecommitdiffstats
path: root/source/l/chmlib
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/l/chmlib
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/l/chmlib')
-rwxr-xr-xsource/l/chmlib/chmlib.SlackBuild84
-rw-r--r--source/l/chmlib/chmlib.info5
-rw-r--r--source/l/chmlib/slack-desc19
3 files changed, 108 insertions, 0 deletions
diff --git a/source/l/chmlib/chmlib.SlackBuild b/source/l/chmlib/chmlib.SlackBuild
new file mode 100755
index 000000000..252dc53b4
--- /dev/null
+++ b/source/l/chmlib/chmlib.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Copyright 2007-2008 Robby Workman, Northport, Alabama, 35475
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=0.39
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:--j6}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-chmlib
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf chmlib-$VERSION
+tar xvf $CWD/chmlib-$VERSION.tar.bz2 || exit 1
+cd chmlib-$VERSION || exit 1 || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/chmlib-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+rmdir $PKG/usr/bin # Kill unused directory
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/chmlib-$VERSION
+cp -a \
+ AUTHORS COPYING* NEWS README \
+ $PKG/usr/doc/chmlib-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/chmlib-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/chmlib/chmlib.info b/source/l/chmlib/chmlib.info
new file mode 100644
index 000000000..6bd5005c1
--- /dev/null
+++ b/source/l/chmlib/chmlib.info
@@ -0,0 +1,5 @@
+PRGNAM=chmlib
+VERSION=0.39
+HOMEPAGE=http://www.jedrea.com/chmlib/
+DOWNLOAD=http://www.jedrea.com/chmlib/chmlib-0.39.tar.bz2
+MD5SUM=debed1a0bdded7a12d3d967e497cea9c
diff --git a/source/l/chmlib/slack-desc b/source/l/chmlib/slack-desc
new file mode 100644
index 000000000..9ec72723e
--- /dev/null
+++ b/source/l/chmlib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+chmlib: chmlib (library for accessing CHM files)
+chmlib:
+chmlib: chmlib is a small library designed for accessing MS ITSS files.
+chmlib: The ITSS file format is used for Microsoft Html Help files (.chm),
+chmlib: which have been the predominant medium for software documentation
+chmlib: from Microsoft during the past several years, having superceded
+chmlib: the previously used .hlp file format.
+chmlib:
+chmlib: Homepage: http://www.jedrea.com/chmlib/
+chmlib:
+chmlib: